checkRequire("Lua_InternalActivitiesWindow");
Lua_ExcellentActivityWindow = class("Lua_ExcellentActivityWindow", Lua_InternalActivitiesWindow);
function Lua_ExcellentActivityWindow:ctor()
	self:superCall("ctor");
	self.isFullPaving = true;
	
	self.windowName = "Lua_ExcellentActivityWindow";
	if DataCenter.backstageActData:checkBackstageActivities(self.windowName, Lua_MenuViewDefine.ICON_EXCELLENT_ACT) then
		self.haveBackstageActivities = true;
		self:addPreLoadRes("backstage_activities_lua", Lua_LoadFileType.LUA);
	end
end

function Lua_ExcellentActivityWindow:checkActList(actVo)
	local arr, dic = DataCenter.operationalActUtil:getActivityArr(Lua_MenuViewDefine.ICON_EXCELLENT_ACT);
	self:setActivitiesList(arr, dic, actVo);
end