checkRequire("Lua_InternalActivitiesWindow");
Lua_RaccoonMartWindow = class("Lua_RaccoonMartWindow", Lua_InternalActivitiesWindow);
function Lua_RaccoonMartWindow:ctor()
	self:superCall("ctor");
	self.isFullPaving = true;

	self.windowName = "Lua_RaccoonMartWindow";
	if DataCenter.backstageActData:checkBackstageActivities(self.windowName, Lua_MenuViewDefine.ICON_RACCOON_MART) then
		self.haveBackstageActivities = true;
		self:addPreLoadRes("backstage_activities_lua", Lua_LoadFileType.LUA);
	end
end

function Lua_RaccoonMartWindow:checkActList(actVo)
	local arr, dic = DataCenter.operationalActUtil:getActivityArr(Lua_MenuViewDefine.ICON_RACCOON_MART);
	self:setActivitiesList(arr, dic, actVo);
end