checkRequire("Lua_InternalActivitiesWindow");
Lua_WelfareWindow = class("Lua_WelfareWindow", Lua_InternalActivitiesWindow);
function Lua_WelfareWindow:ctor()
    self:superCall("ctor");
    self.isFullPaving = true;
    
    self.windowName = "Lua_WelfareWindow";
    if DataCenter.backstageActData:checkBackstageActivities(self.windowName, Lua_MenuViewDefine.ICON_WELFARE) then
        self.haveBackstageActivities = true;
        self:addPreLoadRes("backstage_activities_lua", Lua_LoadFileType.LUA);
    end
end

function Lua_WelfareWindow:checkActList(actVo)
    local arr, dic = DataCenter.operationalActUtil:getActivityArr(Lua_MenuViewDefine.ICON_WELFARE);
    self:setActivitiesList(arr, dic, actVo);
end