checkRequire("Lua_InternalActivitiesWindow");
Lua_OpenServerTrialWindow = class("Lua_OpenServerTrialWindow", Lua_InternalActivitiesWindow);
function Lua_OpenServerTrialWindow:ctor()
	self:superCall("ctor");

	self.isFullPaving = true;
	self.windowName = "Lua_OpenServerTrialWindow";
	if DataCenter.backstageActData:checkBackstageActivities(self.windowName, Lua_MenuViewDefine.ICON_OPENSERVERTRIAL) then
		self.haveBackstageActivities = true;
		self:addPreLoadRes("backstage_activities_lua", Lua_LoadFileType.LUA);
	end
end

function Lua_OpenServerTrialWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.backBtn:setAltas("common_altas_1", "xui_common_button_026");
	self.backBtn:resetSize();
	self.backBtn:setLocation(58, 54);

	self.btnListBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "xui_common_widget_002", 0, 60.5, 720, 121);
	self.btnListBg.anchor = Lua_WindowUtil.getAnchor(7);
	self.btnListBg.siblingIndex = 1;
end

function Lua_OpenServerTrialWindow:checkActList(actVo)
	local arr, dic = DataCenter.operationalActUtil:getActivityArr(Lua_MenuViewDefine.ICON_OPENSERVERTRIAL);
	self:setActivitiesList(arr, dic, actVo);
end

function Lua_OpenServerTrialWindow:dispose()
	if self.btnListBg ~= nil then
		self.btnListBg:dispose();
		self.btnListBg = nil;
	end
	self:superCall("dispose");
end