--独家企划界面闪卡提示窗口
Lua_ExclusivePlanCardTipsWindow = class("Lua_ExclusivePlanCardTipsWindow", Lua_Window)
function Lua_ExclusivePlanCardTipsWindow:ctor()
	self:superCall("ctor");
    
    self.showBlackMask = true;
    self.isClickClose = true;
	self.windowName = "Lua_ExclusivePlanCardTipsWindow";
	self.skinName = "ExclusivePlanCardTipsWindow_skin";
end

function Lua_ExclusivePlanCardTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
    self.flashItem = Lua_CommonFlashCardItem.new(self.content);
    self.flashItem:setLocation(0, 60);
    self.flashItem.canRotate = false;
    self.flashItem:setScale(0.9, 0.9);

	self.checkBox:addBoxChange(self, self.isNeedAppear);
	self:showCard();
	self.flashItem:showFrontPage(false);
end

function Lua_ExclusivePlanCardTipsWindow:showCard()
	local curPeriod = DataCenter.exclusivePlanData.curPeriod;
	local config = getConfig({"sole_plan_type", curPeriod});

	if config ~= nil then
		local flashId = DataCenter.collectionBookUtil:getCardConfigByCardIdAndType(config.flash_id, Lua_CollectionBookUtil.FLASH_ID);
		if flashId == nil then
			return;
		end
		local flashInfo = Lua_FlashCardVo.new(flashId);
		self.flashItem:setData(flashInfo);
	end
end

function Lua_ExclusivePlanCardTipsWindow:isNeedAppear()
	DataCenter.exclusivePlanUtil.isNoNeedAppear = self.checkBox.selected;
end

function Lua_ExclusivePlanCardTipsWindow:dispose()
	if self.flashItem ~= nil then
		self.flashItem:dispose();
		self.flashItem = nil;
	end
	if self.checkBox ~= nil then
		self.checkBox:dispose();
		self.checkBox = nil;
	end
	self:superCall("dispose");
end